/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.factory;

import javax.persistence.FlushMode;
import javax.persistence.FlushModeType;
import javax.ejb.Remove;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.4 $
 */
public interface Stateful1
{
   int create1();

   int create2();

   void update1();

   void update2();

   @FlushMode(FlushModeType.NEVER) void never();

   @Remove void checkout();
}
